## com.sun.grizzly.util
Class ByteBufferInputStream

    java.lang.Object
      java.io.InputStream
          com.sun.grizzly.util.InputReader
              com.sun.grizzly.util.ByteBufferInputStream

All Implemented Interfaces:
  Closeable

Deprecated. - Use `InputReader` instead

    public class ByteBufferInputStream

extends InputReader

This class implement IO stream operations on top of a `ByteBuffer`. Under the hood, this class use a temporary Selector pool for reading bytes when the client ask for more and the current Selector is not yet ready.

Author:
  Jeanfrancois Arcand

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.grizzly.util.InputReader
`InputReader.ChannelType`

Field Summary

Fields inherited from class com.sun.grizzly.util.InputReader
`byteBuffer, key, readTimeout`

Constructor Summary
`ByteBufferInputStream()` Deprecated.

Method Summary

Methods inherited from class com.sun.grizzly.util.InputReader
`available, close, doClearRead, doRead, doSecureRead, getByteBuffer, getChannelType, getDefaultReadTimeout, getReadTimeout, isSecure, markSupported, read, read, read, read, recycle, setByteBuffer, setChannelType, setDefaultReadTimeout, setReadTimeout, setSecure, setSelectionKey`

Methods inherited from class java.io.InputStream
`mark, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteBufferInputStream

    public ByteBufferInputStream()

  Deprecated.

Copyright © 2008 SUN Microsystems. All Rights Reserved.